﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace OAuth2Authorizer.Box
{

    [DataContract]
    internal class BoxAccessToken
    {
        [DataMember(Name = "access_token")]
        public string AccessToken { get; set; }

        [DataMember(Name = "expires_in")]
        public string ExpiresIn { get; set; }

        [DataMember(Name = "token_type")]
        public string TokenType { get; set; }

        [DataMember(Name = "restricted_to")]
        public string RestrictedTo { get; set; }

        [DataMember(Name = "refresh_token")]
        public string RefreshToken { get; set; }


        public AccessTokenResponse AsAccessTokenResponse()
        {
            var accessToken = new AccessTokenResponse(AccessToken, TokenType);
            accessToken.RefreshToken = RefreshToken;
            accessToken.ExpiresIn = ExpiresIn;
            accessToken.ResponseTokens.Add("restricted_to", RestrictedTo);
            return accessToken;
        }
    }
}
