﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace OAuth2Authorizer.WordPress
{
    [DataContract]
    internal class WordPressAccessToken
    {
        [DataMember(Name = "access_token")]
        public string AccessToken { get; set; }

        [DataMember(Name = "blog_id")]
        public string BlogId { get; set; }

        [DataMember(Name = "blog_url")]
        public string BlogUrl { get; set; }

        [DataMember(Name = "token_type")]
        public string TokenType { get; set; }

        public AccessTokenResponse AsAccessTokenResponse()
        {
            var accessToken = new AccessTokenResponse(AccessToken, TokenType);
            accessToken.ResponseTokens.Add("blog_id", BlogId);
            accessToken.ResponseTokens.Add("blog_url", BlogUrl);
            return accessToken;
        }
    }
}
